package q02b.exe.usuarios.valueobjects;



import java.util.ArrayList;



import q02b.exe.arquitectura.valueobjects.Q02bValueObject;



public class Q02bUsuario extends Q02bValueObject{

	

	private static final long serialVersionUID = -8520551641771839103L;

	

	//Q022FT00_IDUSUARIO

	private String idUsuario= null;

	//Q022FT00_NOMBRE

	private String nombre= null;

	//Q022FT00_APELLIDO1

	private String apellido1= null;

	//Q022FT00_APELLIDO2

	private String apellido2= null;

	//Q022FT00_NIF

	private String nif= null;

	//Q022FT00_NIF

	private String password= null;

	//Q022FT00_EMAIL

	private String mail= null;

	//Q022FT00_FECHA_ACTIVACION

	private String fechaActivacion= null;

	//Q022FT00_FECHA_DESACTIVACION

	private String fechaDesactivacion= null;

	//Q021AT00_CODPERFIL

	private String codPerfil= null;

	//MUN_PROV

	private String codProvincia= null;

	//MUN_MUNI

	private String codMunicipio= null;

	//DESC_PROV

	private String descProvincia= null;

	//DESC_MUNI

	private String descMunicipio= null;

	

	private String nifUsuario = null;

	

	private String nombreUsuario = null;

	

	private ArrayList listaGrupos;

	

	private ArrayList listaGruposSeleccionados;

	

	//Q021MT00

	private ArrayList listaMunicipios;

	

	private ArrayList listaMunicipiosSeleccionados;

	

	public String getNifUsuario() {

		return nifUsuario;

	}

	public void setNifUsuario(String nifUsuario) {

		this.nifUsuario = nifUsuario;

	}

	public String getNombreUsuario() {

		return nombreUsuario;

	}

	public void setNombreUsuario(String nombreUsuario) {

		this.nombreUsuario = nombreUsuario;

	}

	

	

	public String getApellido1() {

		return apellido1;

	}

	public void setApellido1(String apellido1) {

		this.apellido1 = apellido1;

	}

	public String getApellido2() {

		return apellido2;

	}

	public void setApellido2(String apellido2) {

		this.apellido2 = apellido2;

	}

	public String getCodMunicipio() {

		return codMunicipio;

	}

	public void setCodMunicipio(String codMunicipio) {

		this.codMunicipio = codMunicipio;

	}

	public String getCodPerfil() {

		return codPerfil;

	}

	public void setCodPerfil(String codPerfil) {

		this.codPerfil = codPerfil;

	}

	public String getCodProvincia() {

		return codProvincia;

	}

	public void setCodProvincia(String codProvincia) {

		this.codProvincia = codProvincia;

	}

	public String getDescMunicipio() {

		return descMunicipio;

	}

	public void setDescMunicipio(String descMunicipio) {

		this.descMunicipio = descMunicipio;

	}

	public String getDescProvincia() {

		return descProvincia;

	}

	public void setDescProvincia(String descProvincia) {

		this.descProvincia = descProvincia;

	}

	public String getFechaActivacion() {

		return fechaActivacion;

	}

	public void setFechaActivacion(String fechaActivacion) {

		this.fechaActivacion = fechaActivacion;

	}

	public String getFechaDesactivacion() {

		return fechaDesactivacion;

	}

	public void setFechaDesactivacion(String fechaDesactivacion) {

		this.fechaDesactivacion = fechaDesactivacion;

	}

	public String getIdUsuario() {

		return idUsuario;

	}

	public void setIdUsuario(String idUsuario) {

		this.idUsuario = idUsuario;

	}

	public String getNif() {

		return nif;

	}

	public void setNif(String nif) {

		this.nif = nif;

	}

	public String getPassword() {

		return password;

	}

	public void setPassword(String password) {

		this.password = password;

	}

	public String getMail() {

		return mail;

	}

	public void setMail(String mail) {

		this.mail = mail;

	}

	public String getNombre() {

		return nombre;

	}

	public void setNombre(String nombre) {

		this.nombre = nombre;

	}

	public ArrayList getListaGrupos() {

		return listaGrupos;

	}

	public void setListaGrupos(ArrayList listaGrupos) {

		this.listaGrupos = listaGrupos;

	}

	public ArrayList getListaGruposSeleccionados() {

		return listaGruposSeleccionados;

	}

	public void setListaGruposSeleccionados(ArrayList listaGruposSeleccionados) {

		this.listaGruposSeleccionados = listaGruposSeleccionados;

	}

	public ArrayList getListaMunicipios() {

		return listaMunicipios;

	}

	public void setListaMunicipios(ArrayList listaMunicipios) {

		this.listaMunicipios = listaMunicipios;

	}

	public ArrayList getListaMunicipiosSeleccionados() {

		return listaMunicipiosSeleccionados;

	}

	public void setListaMunicipiosSeleccionados(

			ArrayList listaMunicipiosSeleccionados) {

		this.listaMunicipiosSeleccionados = listaMunicipiosSeleccionados;

	}

}

